API · Manage · Cap Table
Retrieve the transfer agent.
Get a specific transfer agent including its current status, engagement timestamps, and last_reconciliation_audit_id pointer.
Last updated
Path Parameters
idstringRequiredta_idstringRequiredResponse Body
application/json
application/problem+json
application/problem+json
Request
curl -X GET "https://api.mattermode.com/v1/entities/string/transfer_agents/string"fetch("https://api.mattermode.com/v1/entities/string/transfer_agents/string", { method: "GET"})package mainimport ( "fmt" "net/http" "io/ioutil")func main() { url := "https://api.mattermode.com/v1/entities/string/transfer_agents/string" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := ioutil.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body))}import requestsheaders = { "Authorization": "Bearer sk_test_4eC39HqLyjWDarjtT1zdp7dc", "Matter-Version": "2026-06-10",}resp = requests.get( "https://api.mattermode.com/v1/entities/ent_Nq3KcAbc/transfer_agents/id_placeholder", headers=headers,)resp.raise_for_status()print(resp.json())import java.net.URI;import java.net.http.HttpClient;import java.net.http.HttpRequest;import java.net.http.HttpResponse;import java.net.http.HttpResponse.BodyHandlers;import java.time.Duration;HttpClient client = HttpClient.newBuilder() .connectTimeout(Duration.ofSeconds(10)) .build();HttpRequest.Builder requestBuilder = HttpRequest.newBuilder() .uri(URI.create("https://api.mattermode.com/v1/entities/string/transfer_agents/string")) .GET() .build();try { HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString()); System.out.println("Status code: " + response.statusCode()); System.out.println("Response body: " + response.body());} catch (Exception e) { e.printStackTrace();}using System;using System.Net.Http;using System.Text;var client = new HttpClient();var response = await client.GetAsync("https://api.mattermode.com/v1/entities/string/transfer_agents/string");var responseBody = await response.Content.ReadAsStringAsync();curl --request GET 'https://api.mattermode.com/v1/entities/ent_Nq3KcAbc/transfer_agents/id_placeholder' \ --header 'Authorization: Bearer sk_test_4eC39HqLyjWDarjtT1zdp7dc' \ --header 'Matter-Version: 2026-06-10'const response = await fetch("https://api.mattermode.com/v1/entities/ent_Nq3KcAbc/transfer_agents/id_placeholder", { method: "GET", headers: { "Authorization": "Bearer sk_test_4eC39HqLyjWDarjtT1zdp7dc", "Matter-Version": "2026-06-10", },});if (!response.ok) { throw new Error(`Matter API ${response.status}: ${await response.text()}`);}const data = await response.json();console.log(data);Response
application/json{
"id": "string",
"object": "transfer_agent",
"entity_id": "string",
"provider": "computershare",
"provider_external_account_id": "string",
"engaged_at": "2019-08-24T14:15:22Z",
"disengaged_at": "2019-08-24T14:15:22Z",
"status": "engaged",
"last_reconciliation_audit_id": "string",
"metadata": {
"customer_id": "cus_7Hpx9WxY",
"portfolio_tag": "y-combinator-w26"
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"livemode": true
}{
"type": "https://mattermode.com/docs/errors/authentication_required",
"title": "Authentication required",
"status": 401,
"code": "authentication_required",
"detail": "No bearer token was supplied. Pass `Authorization: Bearer sk_live_...` on every request.",
"doc_url": "https://mattermode.com/docs/guides/errors#authentication_required",
"request_id": "req_Qw9xYz8A"
}{
"type": "https://mattermode.com/docs/errors/not_found",
"title": "Not found",
"status": 404,
"code": "not_found",
"detail": "No entity with id `ent_Nq3KcAbc` is visible to this token.",
"doc_url": "https://mattermode.com/docs/guides/errors#not_found",
"request_id": "req_Qw9xYz8A"
}